<%- include ("layouts/header") %>

	<% if(isMyChannel) { %>

	<form method="POST" action="/api/v1/video/change-profile-picture" enctype="multipart/form-data" id="form-change-profile-pic">
		<input type="file" name="profilePicture" id="input-file-change-profile-picture" style="display: none;" accept="image/*" required onchange="document.getElementById('form-change-profile-pic').submit();">
	</form>

	<form method="POST" action="/api/v1/video/change-cover-picture" enctype="multipart/form-data" id="form-change-cover-pic">
		<input type="file" name="coverPicture" id="form-change-cover-photo" style="display: none;" accept="image/*" required onchange="document.getElementById('form-change-cover-pic').submit();">
	</form>

	<% } %>

	<div class="conatiner-fluid">
		<div class="row">
			<% if(isMyChannel) { %>

			<img src="<%= baseUrl + user.coverPhoto %>" style="cursor: pointer; margin-left: .95rem;" class="img-fluid cover-photo" onerror="this.src='http://placehold.it/1900x700'" onclick="document.getElementById('form-change-cover-photo').click();">
			<% }else{ %>
			<img src="<%= baseUrl + user.coverPhoto %>" class="img-fluid cover-photo" onerror="this.src = 'http://placehold.it/1900x700'">
			<% } %>
		</div>
		<div class="container my-4">
			<div class="row">
				<div class="col-md-2">
					<% if(isMyChannel) { %>

					<img src="<%= baseUrl + user.image %>" style="cursor: pointer;" class="img-fluid profile-photo" onerror="this.src='http://placehold.it/150x150'" onclick="document.getElementById('input-file-change-profile-picture').click();">
					<% }else{ %>
					<img src="<%= baseUrl + user.image %>" class="img-fluid profile-photo" onerror="this.src = 'http://placehold.it/150x150'">
					<% } %>
				</div>

				<div class="col-md-8">
					<h3><%= user.name %></h3>
					<p><%= user.subscribers %> subscribers</p>
				</div>
			</div>

			<% if (isMyChannel) { %> 
			<form method="POST" action="/api/v1/video/create-playlist">
				<div class="form-group">
					<label>Playlist title</label>
					<input type="text" name="playlistTitle" class="form-control" required>
				</div>
				<input type="submit" class="btn btn-primary" value="Add Playlist">
			</form>
			<% } %>

			<div class="row my-4">
				<% 
				user.playlists = user.playlists.reverse();
				user.playlists.forEach(function (playlist) { %>
				
				<div class="col-md-4">
					<div class="card h-100">
						<div class="card-body">
							<h3><%= playlist.playlistTitle %></h3>
						</div>
						<div class="card-footer">
							<% if(playlist.videos.length > 0) { %>
							<a href="/api/v1/video/playlist/<%= playlist._id %>/<%= playlist.videos[0].watch %>" class="btn btn-primary">View</a>
							<% }else{ %>
							<span>Playlist is empty.</span>
							<% } %>

							<% if(isMyChannel) { %>
							<form method="POST" action="/api/v1/video/delete-playlist" onsubmit="return confirm('Are you sure you want to delete the playlist?')">
								<input type="hidden" name="_id" value="<%= playlist._id %>">
								<button type="submit" class="btn btn-danger">Delete</button>
							</form>
							<% } %>

						</div>
					</div>
				</div>
				
				<% }) %>
			</div>

			<hr>
			<h1>Channel Video</h1>
			<hr>

			<div class="row">
				<% user.videos = user.videos.reverse();
				user.videos.forEach(function (video) { %>

				<div class="col-md-4">
					<div class="card h-100">
						<img src="<%= baseUrl + video.thumbnail %>" class="card-img-top">
						<div class="card-body">
							<h4 class="card-title"><%= video.title %></h4>
							<p class="card-text"><%= video.category %></p>
						</div>
						<div class="card-footer">
								<a href="/api/v1/video/watch/<%= video.watch %>" class="btn btn-primary">View</a>
								<% if(isMyChannel) { %> 
								<a href="/api/v1/video/edit/<%= video.watch %>" class="btn btn-warning">Edit</a>

								<form method="POST" action="/api/v1/video/delete-video" onsubmit="return confirm('Are you sure you want to delete this video?');" style="display: contents;">
									<input type="hidden" name="_id" value="<%= video._id %>">
									<button type="submit" class="btn btn-danger" >Delete</button>
								</form>
								<% } %>
						</div>
					</div>
				</div>

				<% }) %>
			</div>
		</div>
	</div>

<%- include ("layouts/footer") %>